Careers
/- Searches for job postings using predefined parameters
Creates a new job posting record that does not already exist.
Sends out a preview of the CRC notification email
Execute Batch Operations
Returns a list of records with the specified organization_id
Creates a new job posting record that does not already exist.
Sends out a preview of the CRC notification email
Returns a job posting from the system by its ID.
Returns a job posting from the system by its ID.
Partially updates a job posting with the specified ID.
Updates a job posting with the specified ID.
Searches for job postings...
Searches for job postings using predefined parameters
Security
knox-authorizer
The job posting that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobPostings/{tenantId}/search
- https://careers.api.rhythmsoftware.comhttps://careers.api.rhythmsoftware.com/jobPostings/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobPostings/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"body": "string",
"contact_id": [
"string"
],
"employer_name": "string",
"expiration_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"ids": [
"string"
],
"internal_reference_code": "string",
"name": "string",
"number": [
0.1,
0.1
],
"organization_id": [
"string"
],
"post_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"status": [
"string"
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }